# Welcome to OpenCORD

This repository is an entry point to OpenCORD. It helps you to build and deploy OpenCORD.


### What is CORD

CORD (Central Office Reimagined as a Data Center) is a revolutionary concept to
turn Telco Central Offices (and MSO Head Ends) into a modern mini data-center, a.k.a. POD.
The POD is made up of commodity servers, switches, and other networking devices.
The POD is an application deployment platform optimized for both conventional cloud-scale
applications as well as virtual network functions (VNF).


### What is OpenCORD

OpenCORD is a reference implementation of the CORD concept and is comprised of:

- A number of POD hardware specifications, which can serve as reference implementations
- A software platform that when deployed on the servers implements service-agnostic software infrastructure enabling deployment of sophisticated network services
- A few sample service implementations that can be readily deployed onto OpenCORD PODs
- A deployment automation framework that simplifies the installation of the platform layers as well as the sample services
- An extendable test framework and test suite to verify and characterize the platfrom as well as the sample services
- Extensive documentatio to work with OpenCORD


### Quick Start

If this is your first encounter with OpenCORD, you may consider giving it a quick spin. We made it real easy. You can bring up OpenCORD on a single server or on a few servers (with or without a real fabric) with a few commands.

Please follow our [Quick Start Tutorial](docs/quickstart.md).


### Further Topics

* POD Reference Designs [coming]
* CORD Software Architecure [coming]
* Customizing CORD [coming]


### References

* [Project Home](http://opencord.org)
* [Jira](http://jira.opencord.org)
* [Gerrit](http://gerrit.opencord.org)
